Gönderen Konu: Ubuntu Çekirdek Yükseltme  (Okunma sayısı 11781 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« : »
Aşağıdaki anlatım kernel 2.6.36 rc (deneme) sürümleri içindir, *kararlı(kararlı) kernel sürümleri içinde aynı işlemleri deneyebilirsiniz.


Sony vaio VGN-FW21E kullanıyorum ve hotkeys problemim vardı , bu sorunumu deneme sürümü mevcut olan yeni kernele yükselterek aştım.

Kernel deposu ararken ubuntunun sürekli güncellenen bir kernel deposu olmadığını farkettim(launchpad üzerinden taşınmışlar). Ubuntu geliştirdiği kernelleri ftp üzerinden dağıtıyor ama güncellemeleri kendiniz takip etmeniz lazım.

Donanımsal sorunları arkadaşlar bu yeni kerneli deneyerek , çözülüp çözülmediğini kontrol edebilirler. Ayrıca eski kernelde sorunum yoktu yenisi ile sorun yaşıyorum diyen arkadaşlarda ftp üzerinden eski kernelleri indirip kurarak sorunlarını çözebilirler.

Ben güncel 2.6.36 rc sürümü üzerinden anlatım yapacağım.

Kernel Ftp Adresimiz;

http://kernel.ubuntu.com/~kernel-ppa/mainline/


Kernel Kurulumu;

64 bit v2.6.36-rc8-maverick kurulumu

1) Aşağıdaki adresden ;

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-rc8-maverick/

Aşağıdaki üç dosyayı indiriyoruz;

1)linux-headers-2.6.36-020636rc8_2.6.36-020636rc8.201010150908_all.deb
2)linux-headers-2.6.36-020636rc8-generic_2.6.36-020636rc8.201010150908_amd64.deb
3)linux-image-2.6.36-020636rc8-generic_2.6.36-020636rc8.201010150908_amd64.deb

2) ister konsoldan ;

Kod: [Seç]
sudo dpkg -i dosya ismi
yukarıda verdiğim sırayla kuruyoruz.

yada;

üzerine çift tıklayıp yazılım merkezi vasıtasıyla kurabilirsiniz.

3) Şimdi kurduğumuz kernelimizi grubumuza işletiyoruz(Normalde kendisi kurulum aşamasında yapıcaktır,ama biz garantiye alalım),

Kod: [Seç]
sudo update-grub
32 bit sistemler v2.6.36-rc7-maverick kurulumu   

1) Aşağıdaki adresden ;

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-rc7-maverick/

Aşağıdaki üç dosyayı indiriyoruz;

1)linux-headers-2.6.36-020636rc7_2.6.36-020636rc7.201010070908_all.deb
2)linux-headers-2.6.36-020636rc7-generic_2.6.36-020636rc7.201010070908_i386.deb
3)linux-image-2.6.36-020636rc7-generic_2.6.36-020636rc7.201010070908_i386.deb

2) ister konsoldan ;

Kod: [Seç]
sudo dpkg -i dosya ismi
yukarıda verdiğim sırayla kuruyoruz.

yada;

üzerine çift tıklayıp yazılım merkezi vasıtasıyla kurabilirsiniz.

3) Şimdi kurduğumuz kernelimizi grubumuza işletiyoruz(Normalde kendisi kurulum aşamasında yapıcaktır,ama biz garantiye alalım),

Kod: [Seç]
sudo update-grub

Sisteminize uygun olan kernel kurulumunu tamamladıktan sonra sistemi yeniden başlatıyoruz. Sistemi yeniden başlattığımızda grub ekranında iki adet ubuntu göreceksiniz.

Yeni kernelle açıp denemelerinizi yapınız. Şayet bir değişiklik göremezseniz.

Kurulan Kernelleri Kaldırma;

1) Sistemi yeniden başlatıp grub ekranından eski kernelle sistemi açınız.

2) Synaptic veya yazılım merkezi aracılı ile kurduğunuz üç deb doayasını kaldırınız.

3) Grub dosyanızı güncelleyiniz;

Kod: [Seç]
sudo update-grub


Not:
1)Bu kernel sürümü deneme sürümüdür, deneyecek arkadaşlar bunu göze alsınlar. Kararlı bir sürüm olmadığı için sorunlarla karşılaşmanız mümkün. Açıkcası donanımınızı çok etkileyen bir sorun olmadığı sürece bu denemeleri önermiyorum. Oluşacak sorunlar tamamen kendi sorumluluğunuzdur.

2) Şu an için rc8 için 32 bit desteği yoktur o yüzden yukarıda 32 bit için rc7 anlatımı yapılmıştır.

3)Yukarıda verdiğim ana kernel ftpsi ile eski sürüm kernellere ulaşıp aynı şekilde kurulumlar yapabilirsiniz.

4)Bütün işlemler 10.10 maverick amd 64 üzerinde denenmiştir, ben yinede 32 bit anlatımınıda ekledim.


Kaynak;

http://ubuntuforums.org/showpost.php?p=9962335&postcount=93




Konuyu rc sürüm kernel anlatımı yaptığım için, alfa/beta/rc bölümüne açtım. Yanlış açtıysam affola :D


Kolay Gelsin.





« Son Düzenleme: 30 Kasım 2013 - 01:15:35 Gönderen: if »

« Yanıtla #1 : »
Valla bende yeni güncelleme gelsede kamerayı tanısa diyordum :D
Anlatım için sağol üşenmemek gerekmiş demekii :D
hehe :))

« Yanıtla #2 : »
Özel tuşlar için bug açmıştım zamanında şimdi birileri buga atanınca ve geliştirilme aşamasında göründe, benimde aklıma kernel geldi. Kesin yeni kernelle düzelir diye beklemektense ben güncellim dedim.

Cidden sorunumu çözmüşler , tanınmayan tuş yok şu anda :D

Kubuntu sorunlu ama ondada tanıyor , fonksiyon görmüyor(kde alakalı gibi duruyor)

Bir kdenin bug sisteminde konu açmamıştım onuda açım :P

İşin özeti denemeni öneririm :D

« Yanıtla #3 : »
Ubuntu forumunun bu özelliğini çok seviyorum. Arkadaşlar başkalarına da lazım olur diye bilgilerini paylaşıyorlar.

« Yanıtla #4 : »
Alıntı
İşin özeti denemeni öneririm :D
ohoo denedim öteki başlığı çözüldü diye etikledim bile buraya yazmadan önce :D

« Yanıtla #5 : »
Hayırlı olsun :P Hım bu sırada benim ati driverlarınıda sorunsuz tanıdı, normalde kernel güncelleyince ati driverım uçuyordu. Sende ati kullanıyordun galiba sorun yaşadın mı?

« Yanıtla #6 : »
yok yok bendeki sağlam ilk ona baktım sonra ses varmı yok mu en son kamerayı denedim işte bende  :D
Tüm yıldızları topladı kendisi :D

« Yanıtla #7 : »


 Şu acer laptopların ekran parlaklığı ayarlama sorununa da çözüm getirseydi iyi olacaktı. Kaç güncelleme oldu hala aynı :(

 Sorunun Özeti : ekran parlaklığı simgesi ortaya çıkıyor ve değişiyor fakat ekran parlaklığı değişmiyor.

« Yanıtla #8 : »
Takoz bir acer kullanıyorum(hepte takozlar bana denk gelir) ekran parlaklığı için hiçbirşey yapmıyorum. Fonksiyon tuşları görevini yerine getiriyor.

« Yanıtla #9 : »
Merhabalar,
Ubuntu 10.10'da bu işlemi yaptıktan sonra, startupmanager'i da kurun,
Kod: [Seç]
$ sudo apt-get install startupmanagerZira açılışta herhangi bir menü gelmiyor, ön tanımlı olarak son yüklediğiniz kernel geliyor. Ve problem yaşayıp eski kernel'a ilk adımda dönemiyorsunuz. Grub'u düzenlemek isterseniz:
http://wiki.ubuntu-tr.net/index.php/Startupmanager_%C4%B0le_Grub2_D%C3%BCzenleme

« Yanıtla #10 : »
Diğer başlıktada belirttiğim gibi siz daha geliştirilen bir kernelin maverick için uyarlanmış halini denemişsiniz.

2.6.36 kararlı sürümü çıkmış bir kerneldir.

Ben 2.6.36 da sizin bahsettiğiniz sorunu yaşamadım.

« Yanıtla #11 : »
Diğer başlıktada belirttiğim gibi siz daha geliştirilen bir kernelin maverick için uyarlanmış halini denemişsiniz.

2.6.36 kararlı sürümü çıkmış bir kerneldir.

Ben 2.6.36 da sizin bahsettiğiniz sorunu yaşamadım.
Bu yazıyı bence gereksiz yere yazdınız, benim buraya yazı yazmamdaki amaç startupmanager'i belirtmekti :)

« Yanıtla #12 : »
Şuan için Super OS i686 kullanıyorum. 10.10 Ubuntu Maverick türevi. Kernelim 2.6.35-25. Güncelleme yapmak istiyorum. Sormak istediğim soru şu http://kernel.ubuntu.com/~kernel-ppa/mainline/ bu adreste Maverik için 2.6.38 yok! Natty için var Natty'nin çıkış tarihi malum Ubuntu'nun politakılarına göre 2011'in Nisanında...
Şimdi Natty için olan kerneli güncellesem olur mu? Natty için 2.6.38rc5 var! Maverick için son kernel sürümü 2.6.37.rc2 Birde deb paketleri kernel için i386 olduğunu farkettim. Gerçi Ubuntu 10.10 ile tamamen i686 mimariye geçti diye biliyorum. i386'li deb paketinin yüklenince sorun çıkarcağını sanmam!
Birde Vestel Notebook kullaniyorum eskiden hiç bir şekilde ekran parlaklığını ayarlıyamıyordum, Ubuntu'da 10.10 da bu sorun gitti gibi artık ekran parlaklığı çalışıyor. Fakat ubuntu çekirdeğini güncelleme dışında kurunca, ekran parlaklığı gene çalışmıyor. Ubuntu'nun güncellemelerde sunduğu çekirdek de kalıyorum mecburen. Bunun Sebebi ne olabilir? Saygılar!

« Yanıtla #13 : »
Şuan için Super OS i686 kullanıyorum. 10.10 Ubuntu Maverick türevi. Kernelim 2.6.35-25. Güncelleme yapmak istiyorum. Sormak istediğim soru şu http://kernel.ubuntu.com/~kernel-ppa/mainline/ bu adreste Maverik için 2.6.38 yok! Natty için var Natty'nin çıkış tarihi malum Ubuntu'nun politakılarına göre 2011'in Nisanında...
Şimdi Natty için olan kerneli güncellesem olur mu? Natty için 2.6.38rc5 var! Maverick için son kernel sürümü 2.6.37.rc2 Birde deb paketleri kernel için i386 olduğunu farkettim. Gerçi Ubuntu 10.10 ile tamamen i686 mimariye geçti diye biliyorum. i386'li deb paketinin yüklenince sorun çıkarcağını sanmam!
Birde Vestel Notebook kullaniyorum eskiden hiç bir şekilde ekran parlaklığını ayarlıyamıyordum, Ubuntu'da 10.10 da bu sorun gitti gibi artık ekran parlaklığı çalışıyor. Fakat ubuntu çekirdeğini güncelleme dışında kurunca, ekran parlaklığı gene çalışmıyor. Ubuntu'nun güncellemelerde sunduğu çekirdek de kalıyorum mecburen. Bunun Sebebi ne olabilir? Saygılar!

Ubuntu 10.10 da Kernel 2.6.38 RC3-4-5 i denedim her hangi bir sorunla karşılaşmadım ancak bana göre sistemin hızlı açılması ve programların daha hızlı çalışması noktasında 2.6.37 (kararlı sürüm) daha *kararlı göründü ve şuan bu kerneli kullanıyorum.

« Yanıtla #14 : »
Teşşekkürler... Öyleyse bende 2.6.37'yi yüklemeyi deneyim...

« Yanıtla #15 : »

3) Şimdi kurduğumuz kernelimizi grubumuza işletiyoruz(Normalde kendisi kurulum aşamasında yapıcaktır,ama biz garantiye alalım),

Kod: [Seç]
sudo update-grub
Sisteminize uygun olan kernel kurulumunu tamamladıktan sonra sistemi yeniden başlatıyoruz. Sistemi yeniden başlattığımızda grub ekranında iki adet ubuntu göreceksiniz.


Yükseltmeyi  anlattığınız şekilde tamamladım teşekkürler. Ancak yükseltme sonrasında grubu güncellediğim halde grub ekranında tek ubuntu görünüyor. Ve açılışta hata verdi, ilk önce açılışı tamamlayamayacak sandım ama biraz beklettikten sonra oturum açıldı.

Kod: [Seç]
zifiri@zifiri:~$ sudo update-grub
[sudo] password for zifiri:
Generating grub.cfg ...
Bulunan linux imajı: /boot/vmlinuz-3.12.1-031201-generic
Bulunan initrd imajı: /boot/initrd.img-3.12.1-031201-generic
Bulunan linux imajı: /boot/vmlinuz-3.11.0-13-generic
Bulunan initrd imajı: /boot/initrd.img-3.11.0-13-generic
Bulunan linux imajı: /boot/vmlinuz-3.11.0-12-generic
Bulunan initrd imajı: /boot/initrd.img-3.11.0-12-generic
Found memtest86+ image: /boot/memtest86+.bin
Found Windows 7 (loader) on /dev/sda1
bitti

Kod: [Seç]
cat /proc/version
Komutuyla aldığım çıktıda sorun görünmüyor sanırım.

Kod: [Seç]
zifiri@zifiri:~$ cat /proc/version
Linux version 3.12.1-031201-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201311201654 SMP Wed Nov 20 21:54:49 UTC 2013

Şimdilik sorun yok ancak daha sonra ki yükseltmelerde herhangi bir sorun yaşamam durumunda sistemi eski kernelle başlatabilmem için grub ekranında eski kernelin görünmesine ihtiyacım olacak. Neden grub ekranında tek Ubuntu görünüyor olabilir acaba?

Sevmezdim kabuklu yemiş, Linux çekirdeği tadıncaya dek !..

« Yanıtla #16 : »
Ubuntu'nun son sürümlerinde en güncel çekirdek en başta yer alıyor. Ancak diğer çekirdekler için de seçenek mevcut. Dikkatlice baktın mı? "Previous..." şeklinde bir girişti yanlış hatırlamıyorsam.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #17 : »
"Previous" güzel ipucu oldu teşekkürler @heartsmagic. Previous seçeneği yok, belki zaman içerisinde yapılan değişikliklerle kaldırılmış olabilir. Previous'u  ararken kernelleri buldum "Ubuntu için gelişmiş seçenekler" menüsünün altındalarmış.
« Son Düzenleme: 25 Kasım 2013 - 22:37:40 Gönderen: aysberg313 »
Sevmezdim kabuklu yemiş, Linux çekirdeği tadıncaya dek !..

« Yanıtla #18 : »
Evet, sanırım son sürümlerde o isim altına almışlardı.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #19 : »
Eski bir konuyu hortlatacağım ama
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3.3-wily/
adresinde ki dosyalardan hangilerini kurmam gerekiyor.
♥ Kız tavlamak için kahraman olmak gerekmez. Doğru kadın zaten sizi kahraman yapar ;)

« Yanıtla #20 : »
İlk ileti güzelce anlatıyor aslında. linux-headers-4.3.3-040303_4.3.3-040303.201512150130_all.deb paketi ortak, sistem mimarisine göre linux-headers-generic-falanca_i386 veya amd64 ile linux-image--generic-falanca_i386 veya amd64. İlk iletiye tekrar bakarsan kolayca anlarsın.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #21 : »
@hearsmatic Hocam aşağıda bir kamyon paket var ama ... :o
Hangilerini indireceğimi bulsam kuracağım yeminle... ???

Kod: [Seç]
[   ] linux-headers-4.3.3-040303-generic-lpae_4.3.3-040303.201512150130_armhf.deb 15-Dec-2015 07:13 809K
[   ] linux-headers-4.3.3-040303-generic_4.3.3-040303.201512150130_amd64.deb 15-Dec-2015 06:44 766K
[   ] linux-headers-4.3.3-040303-generic_4.3.3-040303.201512150130_armhf.deb 15-Dec-2015 07:12 814K
[   ] linux-headers-4.3.3-040303-generic_4.3.3-040303.201512150130_i386.deb 15-Dec-2015 06:58 725K
[   ] linux-headers-4.3.3-040303-generic_4.3.3-040303.201512150130_ppc64el.deb 15-Dec-2015 07:21 971K
[   ] linux-headers-4.3.3-040303-lowlatency_4.3.3-040303.201512150130_amd64.deb 15-Dec-2015 06:45 765K
[   ] linux-headers-4.3.3-040303-lowlatency_4.3.3-040303.201512150130_i386.deb 15-Dec-2015 06:59 725K
[   ] linux-headers-4.3.3-040303_4.3.3-040303.201512150130_all.deb 15-Dec-2015 06:32 9.2M
[   ] linux-image-4.3.3-040303-generic-lpae_4.3.3-040303.201512150130_armhf.deb 15-Dec-2015 07:13 57M
[   ] linux-image-4.3.3-040303-generic_4.3.3-040303.201512150130_amd64.deb 15-Dec-2015 06:44 54M
[   ] linux-image-4.3.3-040303-generic_4.3.3-040303.201512150130_armhf.deb 15-Dec-2015 07:12 58M
[   ] linux-image-4.3.3-040303-generic_4.3.3-040303.201512150130_i386.deb 15-Dec-2015 06:57 54M
[   ] linux-image-4.3.3-040303-generic_4.3.3-040303.201512150130_ppc64el.deb 15-Dec-2015 07:20 56M
[   ] linux-image-4.3.3-040303-lowlatency_4.3.3-040303.201512150130_amd64.deb 15-Dec-2015 06:45 54M
[   ] linux-image-4.3.3-040303-lowlatency_4.3.3-040303.201512150130_i386.deb 15-Dec-2015 06:59 54M

♥ Kız tavlamak için kahraman olmak gerekmez. Doğru kadın zaten sizi kahraman yapar ;)

« Yanıtla #22 : »
Bir önceki iletim esasında çok açık :)

linux-headers-4.3.3-040303_4.3.3-040303.201512150130_all.deb paketi ortak.

Sistem 64bit ise:
linux-headers-4.3.3-040303-generic_4.3.3-040303.201512150130_amd64.deb
linux-image-4.3.3-040303-generic_4.3.3-040303.201512150130_amd64.deb

Sistem 32bit ise:
linux-headers-4.3.3-040303-generic_4.3.3-040303.201512150130_i386.deb
linux-image-4.3.3-040303-generic_4.3.3-040303.201512150130_i386.deb

Söylediğim gibi headers-generic-falanca-amd64 veya i386, linux-image-generic-falanca-amd64 veya i386 gördüğün üzere.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #23 : »
@ heartsmagic hocam şimdi anladım elinize sağlık.
 :)
Peki ubuntu 14.04.3 (evdeki bilgisayarım)   3.16.* çekirdeği kullanıyorda 4.3.* sürüme güncellemiyor.
« Son Düzenleme: 28 Aralık 2015 - 08:38:08 Gönderen: ahmet_matematikci »
♥ Kız tavlamak için kahraman olmak gerekmez. Doğru kadın zaten sizi kahraman yapar ;)

« Yanıtla #24 : »
Lts, kararlı prensibiyle çıkarıldığı için içindeki paketlerle birlikte çekirdekte biraz eskidir.